const parse = require('@commitlint/parse');

(async () => {
  const message = await parse(':sparkles: feat: add parser options for gitmoji', undefined, {
    headerPattern: /^(?<type>:\w+:\s\w+)(?<scope>\([a-z]+\))?: (?<subject>.*)$/,
    headerCorrespondence: ['type', 'scope', 'subject'],
  });
  console.log('Test pattern without scope:');
  console.log({ type: message.type });
  console.log({ scope: message.scope });
  console.log({ subject: message.subject });
})();

(async () => {
  const message = await parse(':sparkles: feat(web): add parser options for gitmoji', undefined, {
    headerPattern: /^(?<type>:\w+:\s\w+)(?<scope>\([a-z]+\))?: (?<subject>.*)$/,
    headerCorrespondence: ['type', 'scope', 'subject'],
  });
  console.log();
  console.log('Test pattern with scope:');
  console.log({ type: message.type });
  console.log({ scope: message.scope });
  console.log({ subject: message.subject });
})();
